__gnu_cxx::character< _Value, _Int, _St > Struct Template Reference

## Public Types

typedef character< _Value, _Int, _St > | char_type
typedef _Int | int_type
typedef _St | state_type
typedef _Value | value_type

## Static Public Member Functions

template<typename V2 >
static char_type | from (const V2 &v)
template<typename V2 >
static V2 | to (const char_type &c)

## Public Attributes

value_type | value

## Detailed Description

### template<typename _Value, typename _Int, typename _St = std::mbstate_t>
struct __gnu_cxx::character< _Value, _Int, _St >

A POD class that serves as a character abstraction class.

Definition at line 49 of file pod_char_traits.h.

The documentation for this struct was generated from the following file:

- pod_char_traits.h